Subject: Re: bug#58148: 29.0.50; Wrong number of arguments in keymap-set--anon-cmacro

From: Juri Linkov <[email-masked]>
Date: Thu, 29 Sep 2022 18:30:01 +0300

>> Hmm, still fails after bootstrap in the latest master:
>>
>>   Debugger entered--Lisp error: (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
>>     keymap-set--anon-cmacro((keymap-set elisp--witness--lisp) elisp--witness--lisp)
>
> There was another report of something similar, but that seemed to have
> something to do with previously compiled packages, which is why I
> thought this might be a stale .elc problem.
>
> I'm wondering why I'm not seeing the issue then -- I tried a "make
> bootstrap" and then "emacs -Q" and the recipe, and didn't get any errors.

Sorry, I had an additional setting more than -Q:

  (setq debug-on-error t)

I thought it's required to see errors in -Q, because without
debug-on-error, the errors are hidden in *Messages*. And
indeed in this case without debug-on-error *Messages* contains:

  Warning: Optimization failure for keymap-set: Handler: keymap-set--anon-cmacro
  (wrong-number-of-arguments #<subr keymap-set--anon-cmacro> 2)
  Making completion list...